Bug 1411648 - Limit thread pool size for host upgrade checks
Summary: Limit thread pool size for host upgrade checks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Moti Asayag
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On:
Blocks: 1364791
TreeView+ depends on / blocked
 
Reported: 2017-01-10 08:30 UTC by Oved Ourfali
Modified: 2017-03-16 14:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-16 14:50:18 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 69817 0 master POST engine: Concurrent host updates check 2017-01-10 08:31:25 UTC
oVirt gerrit 70036 0 ovirt-engine-4.1 MERGED engine: Concurrent host updates check 2017-01-13 15:31:31 UTC
oVirt gerrit 70386 0 ovirt-4.1 MERGED Version bump 2017-01-15 11:39:43 UTC

Description Oved Ourfali 2017-01-10 08:30:15 UTC
We should limit the thread pool size for host upgrade checks

Comment 1 sefi litmanovich 2017-03-02 13:53:32 UTC
Verified with rhevm-4.1.1.2-0.1.el7.noarch.
Have 6 hosts in my env, all are 'UP'.
restart ovirt-engine service.
After 15 minutes the system invokes the host upgrade check on the hosts.
the 1st 5 host are checked async, the 6th host is checked only after the first host's check was done, and uses the same thread as the fisrt one had.


Note You need to log in before you can comment on or make changes to this bug.